weka.gui

## Class SimpleDateFormatEditor

- java.lang.Object
- - weka.gui.SimpleDateFormatEditor

- All Implemented Interfaces:
    java.beans.PropertyEditor

      public class SimpleDateFormatEditor
      extends java.lang.Object
      implements java.beans.PropertyEditor

  Class for editing SimpleDateFormat strings.
  Version:
    $Revision: 8034 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)
  See Also:
    `SimpleDateFormat`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_FORMAT` the default format

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDateFormatEditor()` Constructs a new SimpleDateFormatEditor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds an object to the list of those that wish to be informed when the date format changes.
    `java.lang.String` | `getAsText()` Returns the date format string.
    `java.awt.Component` | `getCustomEditor()` Gets a GUI component with which the user can edit the date format.
    `java.lang.String` | `getJavaInitializationString()` Returns the Java code that generates an object the same as the one being edited.
    `java.lang.String[]` | `getTags()` Some objects can return tags, but a date format cannot.
    `java.lang.Object` | `getValue()` Gets the date format that is being edited.
    `boolean` | `isPaintable()` Indicates whether the object can be represented graphically.
    `void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)` Paints a graphical representation of the object.
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes an object from the list of those that wish to be informed when the date format changes.
    `void` | `setAsText(java.lang.String text)` Sets the date format string.
    `void` | `setValue(java.lang.Object value)` Sets the value of the date format to be edited.
    `boolean` | `supportsCustomEditor()` Indicates whether the date format can be edited in a GUI, which it can.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FORMAT

          public static final java.lang.String DEFAULT_FORMAT

      the default format
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleDateFormatEditor

          public SimpleDateFormatEditor()

      Constructs a new SimpleDateFormatEditor.

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.Object value)

      Sets the value of the date format to be edited.
      Specified by:
        `setValue` in interface `java.beans.PropertyEditor`
      Parameters:
        `value` - a SimpleDateFormat object to be edited

    - #### getValue

          public java.lang.Object getValue()

      Gets the date format that is being edited.
      Specified by:
        `getValue` in interface `java.beans.PropertyEditor`
      Returns:
        the edited SimpleDateFormat object

    - #### isPaintable

          public boolean isPaintable()

      Indicates whether the object can be represented graphically. In this case it can.
      Specified by:
        `isPaintable` in interface `java.beans.PropertyEditor`
      Returns:
        true

    - #### paintValue

          public void paintValue(java.awt.Graphics gfx,
                                 java.awt.Rectangle box)

      Paints a graphical representation of the object. It just prints the format.
      Specified by:
        `paintValue` in interface `java.beans.PropertyEditor`
      Parameters:
        `gfx` - the graphics context to draw the representation to
        `box` - the bounds within which the representation should fit.

    - #### getJavaInitializationString

          public java.lang.String getJavaInitializationString()

      Returns the Java code that generates an object the same as the one being edited.
      Specified by:
        `getJavaInitializationString` in interface `java.beans.PropertyEditor`
      Returns:
        the initialization string

    - #### getAsText

          public java.lang.String getAsText()

      Returns the date format string.
      Specified by:
        `getAsText` in interface `java.beans.PropertyEditor`
      Returns:
        the date format string

    - #### setAsText

          public void setAsText(java.lang.String text)

      Sets the date format string.
      Specified by:
        `setAsText` in interface `java.beans.PropertyEditor`
      Parameters:
        `text` - the date format string

    - #### getTags

          public java.lang.String[] getTags()

      Some objects can return tags, but a date format cannot.
      Specified by:
        `getTags` in interface `java.beans.PropertyEditor`
      Returns:
        null

    - #### getCustomEditor

          public java.awt.Component getCustomEditor()

      Gets a GUI component with which the user can edit the date format.
      Specified by:
        `getCustomEditor` in interface `java.beans.PropertyEditor`
      Returns:
        an editor GUI component

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Indicates whether the date format can be edited in a GUI, which it can.
      Specified by:
        `supportsCustomEditor` in interface `java.beans.PropertyEditor`
      Returns:
        true

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

      Adds an object to the list of those that wish to be informed when the date format changes.
      Specified by:
        `addPropertyChangeListener` in interface `java.beans.PropertyEditor`
      Parameters:
        `listener` - a new listener to add to the list

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

      Removes an object from the list of those that wish to be informed when the date format changes.
      Specified by:
        `removePropertyChangeListener` in interface `java.beans.PropertyEditor`
      Parameters:
        `listener` - the listener to remove from the list